QuickBooks Point of Sale and EMV compliance.

QuickBooks Point of Sale and EMV compliance.

Questions on the software? Call us at 800-609-0788!

 

For some time now we have been trying to find out where QB POS was going with EMV compliance.

 

It looks like we finally have an answer. While we were told in the past that QB POS v 11 (2013) would eventually be made compliant, after the version 12 was done, it appears that has now changed.

The information we have received now is that ONLY the QuickBooks Point of Sale V12 will be made compliant.

If you are using a version of QuickBooks point of Sale that is older than version 12, you will need to upgrade.